metadata:
  name: glib-gio-fs
  format: "Apertis Test Definition 1.0"
  image-types:
    fixedfunction: [ armhf, arm64, amd64 ]
    hmi:           [ armhf, amd64 ]
    basesdk:       [ amd64 ]
    sdk:           [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Run the GLib gio tests that do I/O on the local filesystem."

  expected:
    - "The output should be similar to this:"
    - |
        >>>> # Test setup successfully!
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/async-close-output-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/async-close-output-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/buffered-input-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/buffered-input-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/buffered-output-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/buffered-output-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/converter-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/converter-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/data-input-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/data-input-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/data-output-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/data-output-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/file' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/file: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/fileattributematcher' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/fileattributematcher: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/filter-streams' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/filter-streams: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/g-file' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/g-file: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/g-file-info' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/g-file-info: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/io-stream' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/io-stream: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/live-g-file' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/live-g-file: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/pollable' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/pollable: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/readwrite' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/readwrite: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/unix-streams' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/unix-streams: pass
        >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/vfs' ...
        >>> /home/user/glib-gio-fs-master/amd64/bin/vfs: pass
        >>> # All tests PASSED successfully!
    - "If any test failed, they will be listed instead of the success message:"
    - |
        > >>> The following tests FAILED:
        [list of tests]

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/glib-gio-fs.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd glib-gio-fs
    - "# Execute the following command:"
    - common/run-test-in-systemd --basename --timeout=900 ./run-test.sh

parse:
  pattern: ^(?P<test_case_id>[a-zA-Z0-9_\-\./]+):\s*(?P<result>pass|fail|skip|unknown)$
